ConstraintsCoupon Assigned event is only published live for Triggered Offers. Segmented Offers publish the event only when the Offer is Activated.Coupon Activated for Pre-activated Segmented Offers is only published after the first redemption.
CustomerId, CouponId and OfferId.
Field reference
Field definitions match the coupon models used by the Promotion Platform endpoints. See Coupons (Web & Mobile) V3 and Coupons (POS) in the API Reference.| Event | Triggering endpoint |
|---|---|
| Coupon Assigned | POST /v3/customers/{customerId}/coupons/assign — Create coupon |
| Coupon Activated | POST /v3/customers/{customerId}/coupons/{couponId}/activate — Activate coupon |
| Coupon Deactivated | POST /v3/customers/{customerId}/coupons/{couponId}/deactivate — Deactivate coupon |
| Coupon Redeemed | POST /v3/coupons/{couponId}/redeem — Redeem coupon by id |
| Coupon Redemption Canceled | POST /v3/coupons/posCouponId/{posCouponId}/cancel-redeem — Cancel coupon redemption |
| Coupon Deleted | Admin delete action |
POST /mobile-app/v3/coupons/{couponId}/activate and /deactivate) and the POS redeem-by-posCouponId variant emit the same events.
Schemas
- Coupon Assigned
- Coupon Activated
- Coupon Deactivated
- Coupon Redeemed
- Coupon Redemption Canceled
- Coupon Deleted
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"CouponId": { "type": "string" },
"ReservationId": { "type": ["string", "null"] },
"AssignedAt": { "type": "string", "format": "date-time" },
"AssignedBy": { "type": ["string", "null"] },
"VisibleFrom": { "type": "string", "format": "date-time" },
"DateToPickUp": { "type": "string", "format": "date-time" },
"StoreId": { "type": ["string", "null"] },
"OfferId": { "type": "string" },
"OfferType": { "type": "string" },
"EventId": { "type": "string" },
"CustomerId": { "type": "string" }
}
}
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"CouponId": { "type": "string" },
"ReservationId": { "type": ["string", "null"] },
"ActivatedAt": { "type": "string", "format": "date-time" },
"StoreId": { "type": ["string", "null"] },
"OfferId": { "type": "string" },
"DateToPickUp": { "type": "string", "format": "date-time" },
"AutoActivated": { "type": "boolean" },
"OfferType": { "type": "string" },
"PosCouponId": { "type": ["string", "null"] },
"EventId": { "type": "string" },
"CustomerId": { "type": "string" }
}
}
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"CouponId": { "type": "string" },
"OfferId": { "type": "string" },
"OfferType": { "type": "string" },
"ReservationId": { "type": ["string", "null"] },
"DeactivatedAt": { "type": "string", "format": "date-time" },
"CustomerId": { "type": "string" },
"EventId": { "type": "string" }
}
}
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"CouponId": { "type": "string" },
"OfferId": { "type": "string" },
"OfferType": { "type": "string" },
"ReservationId": { "type": ["string", "null"] },
"RedeemedAt": { "type": "string", "format": "date-time" },
"RedemptionLimit": { "type": "integer" },
"RedeemedCount": { "type": "integer" },
"IdempotencyKey": { "type": ["string", "null"] },
"Value": { "type": ["number", "null"] },
"BasketValue": { "type": ["number", "null"] },
"StoreId": { "type": ["string", "null"] },
"EventId": { "type": "string" },
"CustomerId": { "type": "string" }
}
}
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"CouponId": { "type": "string" },
"OfferId": { "type": "string" },
"IdempotencyKey": { "type": ["string", "null"] },
"CanceledAt": { "type": "string", "format": "date-time" },
"EventId": { "type": "string" },
"CustomerId": { "type": "string" }
}
}
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"CouponId": { "type": "string" },
"OfferId": { "type": "string" },
"OfferType": { "type": "string" },
"ReservationId": { "type": ["string", "null"] },
"DeletedAt": { "type": "string", "format": "date-time" },
"CustomerId": { "type": "string" },
"EventId": { "type": "string" }
}
}